> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Lease: Entrata

POST https://api.propexo.com/v1/leases/entrata/
Content-Type: application/json

Create Lease: Entrata| Method            |
| ----------------- |
| leases/sendLeases |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/entrata/leases/create-lease-entrata

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_leases_entrata__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `lease_period_id` (string, required) — The Propexo unique identifier for the lease period
- `floor_plan_id` (string, required) — The Propexo unique identifier for the floor plan
- `start_date` (string, required) — The start date associated with the lease
- `end_date` (string, required) — The end date associated with the lease
- `scheduled_move_in_date` (string, required) — The move-in date associated with the lease
- `first_name` (string, required) — The first name associated with the resident
- `last_name` (string, required) — The last name associated with the resident
- `address_1` (string, required) — The first address line associated with the resident
- `city` (string, required) — The city associated with the resident
- `state` (string, required) — The state associated with the resident
- `zip` (string, required) — The zip code associated with the resident
- `address_2` (string, optional) — The second address line associated with the resident
- `email_1` (string, optional) — The primary email address associated with the resident
- `phone_1` (string, optional) — Primary phone number associated with the resident
- `date_of_birth` (string, optional) — The date of birth associated with the resident

## Response

### 200

Successful response

- `meta` (V1LeasesEntrataPostOutputMeta, required)
- `result` (V1LeasesEntrataPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1LeasesEntrataPostOutputMeta

- `job_id` (string, required)

### V1LeasesEntrataPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `property_id` (string, required) — The Propexo unique identifier for the property
- `unit_id` (string, required) — The Propexo unique identifier for the unit
- `lease_period_id` (string, required) — The Propexo unique identifier for the lease period
- `floor_plan_id` (string, required) — The Propexo unique identifier for the floor plan
- `start_date` (string, required) — The start date associated with the lease
- `end_date` (string, required) — The end date associated with the lease
- `scheduled_move_in_date` (string, required) — The move-in date associated with the lease
- `first_name` (string, required) — The first name associated with the resident
- `last_name` (string, required) — The last name associated with the resident
- `address_1` (string, required) — The first address line associated with the resident
- `city` (string, required) — The city associated with the resident
- `state` (string, required) — The state associated with the resident
- `zip` (string, required) — The zip code associated with the resident
- `address_2` (string, required, nullable) — The second address line associated with the resident
- `email_1` (string, required, nullable) — The primary email address associated with the resident
- `phone_1` (string, required, nullable) — Primary phone number associated with the resident
- `date_of_birth` (string, required, nullable) — The date of birth associated with the resident

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "unit_id": "unit-9876543210fedcba",
  "lease_period_id": "leaseperiod-2024q1",
  "floor_plan_id": "floorplan-3bed-2bath",
  "start_date": "2024-06-01T12:00:00Z",
  "end_date": "2025-05-31T11:59:59Z",
  "scheduled_move_in_date": "2024-06-05T15:00:00Z",
  "first_name": "Emily",
  "last_name": "Johnson",
  "address_1": "123 Maple Street",
  "city": "Springfield",
  "state": "IL",
  "zip": "62704"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-4a7b8c9d0e1f2a3b4c5d"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "property_id": "prop-1234567890abcdef",
    "unit_id": "unit-9876543210fedcba",
    "lease_period_id": "leaseperiod-2024q1",
    "floor_plan_id": "floorplan-3bed-2bath",
    "start_date": "2024-06-01T12:00:00Z",
    "end_date": "2025-05-31T11:59:59Z",
    "scheduled_move_in_date": "2024-06-05T15:00:00Z",
    "first_name": "Emily",
    "last_name": "Johnson",
    "address_1": "123 Maple Street",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704",
    "address_2": "Apt 4B",
    "email_1": "emily.johnson@example.com",
    "phone_1": "+1-217-555-1234",
    "date_of_birth": "1990-08-15T00:00:00Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/leases/entrata/"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "property_id": "prop-1234567890abcdef",
    "unit_id": "unit-9876543210fedcba",
    "lease_period_id": "leaseperiod-2024q1",
    "floor_plan_id": "floorplan-3bed-2bath",
    "start_date": "2024-06-01T12:00:00Z",
    "end_date": "2025-05-31T11:59:59Z",
    "scheduled_move_in_date": "2024-06-05T15:00:00Z",
    "first_name": "Emily",
    "last_name": "Johnson",
    "address_1": "123 Maple Street",
    "city": "Springfield",
    "state": "IL",
    "zip": "62704"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/leases/entrata/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c1d0e","property_id":"prop-1234567890abcdef","unit_id":"unit-9876543210fedcba","lease_period_id":"leaseperiod-2024q1","floor_plan_id":"floorplan-3bed-2bath","start_date":"2024-06-01T12:00:00Z","end_date":"2025-05-31T11:59:59Z","scheduled_move_in_date":"2024-06-05T15:00:00Z","first_name":"Emily","last_name":"Johnson","address_1":"123 Maple Street","city":"Springfield","state":"IL","zip":"62704"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/leases/entrata/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"unit_id\": \"unit-9876543210fedcba\",\n  \"lease_period_id\": \"leaseperiod-2024q1\",\n  \"floor_plan_id\": \"floorplan-3bed-2bath\",\n  \"start_date\": \"2024-06-01T12:00:00Z\",\n  \"end_date\": \"2025-05-31T11:59:59Z\",\n  \"scheduled_move_in_date\": \"2024-06-05T15:00:00Z\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"address_1\": \"123 Maple Street\",\n  \"city\": \"Springfield\",\n  \"state\": \"IL\",\n  \"zip\": \"62704\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/leases/entrata/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"unit_id\": \"unit-9876543210fedcba\",\n  \"lease_period_id\": \"leaseperiod-2024q1\",\n  \"floor_plan_id\": \"floorplan-3bed-2bath\",\n  \"start_date\": \"2024-06-01T12:00:00Z\",\n  \"end_date\": \"2025-05-31T11:59:59Z\",\n  \"scheduled_move_in_date\": \"2024-06-05T15:00:00Z\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"address_1\": \"123 Maple Street\",\n  \"city\": \"Springfield\",\n  \"state\": \"IL\",\n  \"zip\": \"62704\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/leases/entrata/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"unit_id\": \"unit-9876543210fedcba\",\n  \"lease_period_id\": \"leaseperiod-2024q1\",\n  \"floor_plan_id\": \"floorplan-3bed-2bath\",\n  \"start_date\": \"2024-06-01T12:00:00Z\",\n  \"end_date\": \"2025-05-31T11:59:59Z\",\n  \"scheduled_move_in_date\": \"2024-06-05T15:00:00Z\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"address_1\": \"123 Maple Street\",\n  \"city\": \"Springfield\",\n  \"state\": \"IL\",\n  \"zip\": \"62704\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/leases/entrata/', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "unit_id": "unit-9876543210fedcba",
  "lease_period_id": "leaseperiod-2024q1",
  "floor_plan_id": "floorplan-3bed-2bath",
  "start_date": "2024-06-01T12:00:00Z",
  "end_date": "2025-05-31T11:59:59Z",
  "scheduled_move_in_date": "2024-06-05T15:00:00Z",
  "first_name": "Emily",
  "last_name": "Johnson",
  "address_1": "123 Maple Street",
  "city": "Springfield",
  "state": "IL",
  "zip": "62704"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/leases/entrata/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"property_id\": \"prop-1234567890abcdef\",\n  \"unit_id\": \"unit-9876543210fedcba\",\n  \"lease_period_id\": \"leaseperiod-2024q1\",\n  \"floor_plan_id\": \"floorplan-3bed-2bath\",\n  \"start_date\": \"2024-06-01T12:00:00Z\",\n  \"end_date\": \"2025-05-31T11:59:59Z\",\n  \"scheduled_move_in_date\": \"2024-06-05T15:00:00Z\",\n  \"first_name\": \"Emily\",\n  \"last_name\": \"Johnson\",\n  \"address_1\": \"123 Maple Street\",\n  \"city\": \"Springfield\",\n  \"state\": \"IL\",\n  \"zip\": \"62704\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "property_id": "prop-1234567890abcdef",
  "unit_id": "unit-9876543210fedcba",
  "lease_period_id": "leaseperiod-2024q1",
  "floor_plan_id": "floorplan-3bed-2bath",
  "start_date": "2024-06-01T12:00:00Z",
  "end_date": "2025-05-31T11:59:59Z",
  "scheduled_move_in_date": "2024-06-05T15:00:00Z",
  "first_name": "Emily",
  "last_name": "Johnson",
  "address_1": "123 Maple Street",
  "city": "Springfield",
  "state": "IL",
  "zip": "62704"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/leases/entrata/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```